# Uses of Interface
org.eclipse.birt.report.model.api.extension.IPropertyDefinition

Packages that use IPropertyDefinition
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of IPropertyDefinition in org.eclipse.birt.report.model.api.extension

Classes in org.eclipse.birt.report.model.api.extension that implement IPropertyDefinition
Modifier and Type
Class
Description
`class`
`PropertyDefinition`
Extension adapter class for the IPropertyDefintion.
Methods in org.eclipse.birt.report.model.api.extension that return IPropertyDefinition
Modifier and Type
Method
Description
`IPropertyDefinition[]`
IReportItem.`getMethods()`
Deprecated.
by `IReportItem.getMethods(String)`
`IPropertyDefinition[]`
ReportItem.`getMethods()`
`IPropertyDefinition[]`
IReportItem.`getPropertyDefinitions()`
Gets the list of all the property definitions that the extended element model has.
`IPropertyDefinition[]`
ReportItem.`getPropertyDefinitions()`
`IPropertyDefinition`
IReportItem.`getScriptPropertyDefinition()`
Gets the script property definition of this report item.
`IPropertyDefinition`
ReportItem.`getScriptPropertyDefinition()`
Methods in org.eclipse.birt.report.model.api.extension that return types with arguments of type IPropertyDefinition
Modifier and Type
Method
Description
`List<IPropertyDefinition>`
IPropertyDefinition.`getMembers()`
Returns a list of member definitions if the property is a structure (type is TBD).
`List<IPropertyDefinition>`
PropertyDefinition.`getMembers()`